org.apache.hc.core5.http.io.support

## Class HttpServerFilterChainRequestHandler

- java.lang.Object
- - org.apache.hc.core5.http.io.support.HttpServerFilterChainRequestHandler

- All Implemented Interfaces:
    HttpServerRequestHandler

      public class HttpServerFilterChainRequestHandler
      extends Object
      implements HttpServerRequestHandler

  `HttpServerRequestHandler` implementation that delegates request processing to a `HttpServerFilterChainElement`.
  Since:
    5.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hc.core5.http.io.HttpServerRequestHandler

      `HttpServerRequestHandler.ResponseTrigger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServerFilterChainRequestHandler(HttpServerFilterChainElement filterChain)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(ClassicHttpRequest request, HttpServerRequestHandler.ResponseTrigger trigger, HttpContext context)` Handles the request and submits a final response to be sent back to the client.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpServerFilterChainRequestHandler

          public HttpServerFilterChainRequestHandler(HttpServerFilterChainElement filterChain)

  - ### Method Detail

    - #### handle

          public void handle(ClassicHttpRequest request,
                    HttpServerRequestHandler.ResponseTrigger trigger,
                    HttpContext context)
                      throws HttpException,
                             IOException

      Description copied from interface: `HttpServerRequestHandler`
      Handles the request and submits a final response to be sent back to the client.
      Specified by:
        `handle` in interface `HttpServerRequestHandler`
      Parameters:
        `request` - the actual request.
        `trigger` - the response trigger.
        `context` - the actual execution context.
      Throws:
        `HttpException`
        `IOException`

Copyright © 2005–2020 The Apache Software Foundation. All rights reserved.